@media screen and (min-width: 980px) {.t-records {opacity: 0;}.t-records_animated
{-webkit-transition: opacity ease-in-out .2s;-moz-transition: opacity ease-in-out
.2s;-o-transition: opacity ease-in-out .2s;transition: opacity ease-in-out
.2s;}.t-records.t-records_visible {opacity: 1;}}

@import url('https://fonts.googleapis.com/css?family=Overpass:300,400,600,700&display=swap');
body {
  background: rgb(245, 248, 250);
  /*font-family:  'Avenir Next W02' ,sans-serif; */
  font-family: ui-sans-serif, -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, "Apple Color Emoji", Arial, sans-serif, "Segoe UI Emoji", "Segoe UI Symbol";
}

.noBorder{
  outline:none;
  border: unset!important;
  box-shadow: unset!important;
}

.a5-btn, .a5-btn:active{
  outline:none!important;
}

body {
  --a5-color-for-card-actions: #459eff;
}

.ui-timepicker-list {
    font-size: .9rem;
}





.t228, .t228__maincontainer{
  height: 50px;
}
.t228__maincontainer{
  
}

.color-danger {
  color: #dc0000cc!important;
}
.topBarEditorMenu a.Delete{
  color: #ff5555!important;
  border-color: #ff5555!important;
}
.topBarEditorMenu a.pre-view{
  color: #fcdf4cd9!important;
  border-color: #fcf96a96!important;
}


[contenteditable="true"]{
  outline: none;
  width: fit-content;
}

#allrecords a{
  color:#fff;
}
.footer a{
  color:#007bff!important;
}

.AllContent{
  min-height: 91vh;
}
.t-prefix_2 {
  padding-left: 0px;
  padding-right: 0px;
}
.hide{
  display: none!important;
}
.cursorPointer{
  cursor: pointer;
}
.cursorNoPointer{
  cursor: default!important;
}
.t-tildalabel {
    background-color: #fff;
    color: #202e3cdb;
    height: 70px;
    font-size: 14px;
  }  
.t-title{
  color: #202e3c;
}  

.a5-nav-bar {
}

.pl-0{
  padding-left: 0;
}
.pr-0{
  padding-right: 0;
}

.a5-float-right {
	float: right;
}
.input-error{
  border:2px solid #ff000099;
}

.t403__tcol2 {
  /*padding-bottom: 1rem;*/
}


.bi-600::before{
  font-weight: 600!important;
  font-size:0.9rem;
}


.editElemet p {
  margin: 0!important;
} 
.editParagraph{
  margin-top:.6rem;
}
.detailContent a {
  color: inherit!important;
}

.headerModuleActions i.bi{
  font-size: 1.2rem;
}
.buttonEditActions i.bi {
  font-size: 1.48rem;
}
.buttonEditActions{
  margin-left: 1em;
  margin-top: 0.3rem
}

/*-----mobile elements-----*/
@media screen and (min-width: 980px) { 
  #rec305856603{
    padding-top:105px!important;
  }
  .SetDueDateUnlim {
    padding: 8px 18px;
  }
}
@media screen and (max-width: 980px) { 
  .t017{
    padding-left:1rem!important;
    padding-right:1rem!important;
  }
  #rec305856603{
    padding-top:90px!important;
  }
  .t228__rightside{
    height:auto!important;
  }
  .t228__centerside{
    height:auto!important;
  }
  .detailEditContent  #rec305856603{
    padding-top:0px!important;
  }
  .t228__right_buttons_wrap{
    padding-top:1rem!important;
  }
  .t228__rightcontainer .t228__right_buttons_wrap{
    padding-top:1.7rem!important;
  }
  .t228__right_buttons_wrap .avatar{
    padding-top:0.3rem!important;
    padding-right:0.3rem!important;
    position: absolute;
    top: 0.2rem;
    right: 0.2rem;
  }  
  .t228__leftcontainer{
    padding: 0!important;
  }
  .t228__rightcontainer{
    text-align: left!important;
  }
  .t228__right_buttons_but{
    display:block;
  }
  .detailBlock{
    padding-bottom:40px!important;
  }
  .badgeTopMenu{
    border:none!important;
  }
  .actionsEdit{
    margin-top: 0!important;
  }
  .ModuleHeaderTitle{
    width:85%;
  }
  
  #rec305856604{
    padding-top:0px!important;
  }
  .a5-btn-cancel{
    display: none;
  }
  .ItemLesson{
    word-wrap:break-word!important;
    border-radius: 0px!important;
    padding: 30px 20px!important;
  }
  .ItemLesson .t-title_xxs{
    font-size: 24px!important;
  }
  .TitleList{
    padding-bottom: 1rem;
  }
  .blockProductCover .block-prices{
    margin: 20px 0px!important;
    padding-top: 0px!important;
    padding-bottom: 20px!important;
  }
  .LessonDetailContent .detailBlockVideo .video-js .vjs-big-play-button {
    top: 40%!important;
    left: 45%!important;
  }
  
  .SetDueDateUnlim {
    padding: 0px 18px; 
    display: block;
    margin-top: 1.5rem;
  }
  
}

/*-----end mobile elements-----*/
.badge-warning {
    color: #212529;
    background-color: #2125291a;
}
.badge-top-menu{
  color: #ffffff;
  background-color: #b4b4b466;
}

/*-----progress-----*/
.progress {
	display: -ms-flexbox;
	display: flex;
	height: 1rem;
	overflow: hidden;
	font-size: 0.703125rem;
	background-color:#dce0e8;
	border-radius: 3px;
}
.progress-bar {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-direction: column;
	flex-direction: column;
	-ms-flex-pack: center;
	justify-content: center;
	color: #fff;
	text-align: center;
	white-space: nowrap;
	background-color: #007bff; /*#5964ff  ;*/
	transition: width 0.6s ease;
}
.current-progressbar {
	margin-top: 14.5px;
}
.progress-content {
	margin-bottom: 16.5px;
}
.progress-content:last-child{
	margin-bottom:0;
}
@media screen and (prefers-reduced-motion: reduce) {
	.progress-bar {
		transition: none;
	}
}
.progress-bar-striped {
	background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
	background-size: 1rem 1rem;
}
.progress-bar-animated {
	-webkit-animation: progress-bar-stripes 1s linear infinite;
	animation: progress-bar-stripes 1s linear infinite;
}
.media {
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: start;
	align-items: flex-start;
}
.media-body {
	-ms-flex: 1;
	flex: 1;
}
.social i{
	font-size:40px;
}
.social .social-icon i{
	font-size:14px;
}
.instagram{
	background:#de497b;
}
.linkedin{
	background:#0077b5;
}
.twitter{
	background:#41a4f7;
}
.facebook{
	background:#3a48a9;
}
/*-----progress-----*/

/*------ progress sizes ------*/
.progress {
	position: relative;
}
.progress-xs, .progress-xs .progress-bar {
	height: .25rem;
}
.progress-sm, .progress-sm .progress-bar {
	height: .5rem;
}
.progress-lg, .progress-lg .progress-bar {
	height: 1.25rem;
}
.progress-bar-indeterminate:after, .progress-bar-indeterminate:before {
	content: '';
	position: absolute;
	background-color: inherit;
	left: 0;
	will-change: left, right;
	top: 0;
	bottom: 0;
}
.progress-bar-indeterminate:before {
	-webkit-animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
	animation: indeterminate 2.1s cubic-bezier(0.65, 0.815, 0.735, 0.395) infinite;
}
.progress-bar-indeterminate:after {
	-webkit-animation: indeterminate-short 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) infinite;
	animation: indeterminate-short 2.1s cubic-bezier(0.165, 0.84, 0.44, 1) infinite;
	-webkit-animation-delay: 1.15s;
	animation-delay: 1.15s;
}
@-webkit-keyframes loader {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
@keyframes loader {
	from {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
/*------ progress sizes ------*/



/*  AVATAR IMG ROUND */
.circular--landscape {
  display: inline-block;
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
}
.circular--landscape img {
  width: auto;
  height: 100%;
  /*margin-left: -50px;*/
}
.circular--portrait {
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
}

.circular--portrait img {
  width: 100%;
  height: auto;
}

.circular--landscape .image {
  display: block;
  width: 100%;
  height: auto;
}
.circular--landscape .overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  background-color: #00000088;
}
.circular--landscape:hover .overlay {
  opacity: 1;
}
.text {
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
  
  width: 100%;
  font-size: 26px;
}
.text .btn-cam, .text .btn-d, .detailBlocks .btn-d{
  padding: 8px 18px;
  border: 3px solid #fff;
  border-radius: .5rem;
}
.coverVideoDefoult .btn-d{
  /*border: 1px solid #5a5d61cc;*/
  border:2px solid #202e3ccc;
  /*color: #5a5d61cc;*/
  color:#202e3ccc;
  font-size: 22px;
  margin-top: -60px;
  
  border: 2px solid #ffffff;
  color: #ffffff;
}

.croppie-container .cr-viewport, .croppie-container .cr-resizer {
   border: 2px solid #c6c6c6!important;
}


/*  END AVATAR IMG ROUND */

.badgeTopMenu{
  margin-top: -45px;
  margin-left: 40px;
  position: absolute;  
  border:2px solid #fff;
  border-radius: 50%;
}

/*  COVER IMG ROUND */
/*
.cover--landscape {
  display: inline-block;
  position: relative;
  width: 200px;
  height: 200px;
  overflow: hidden;
  border-radius: 50%;
}
.cover--landscape img {
  width: auto;
  height: 100%;
}

.image {
  display: block;
  width: 100%;
  height: auto;
}
*/
.cover--landscape .overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  opacity: 0;
  transition: .5s ease;
  background-color: #00000088;
}
 .VideoPlayer .cover--landscape .overlay {
   height: 89%;
 }
.cover--landscape:hover .overlay {
  opacity: 1;
}
/* есть в AVATAR 
.text {
  color: white;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
  
  width: 100%;
  font-size: 26px;
}
.text .btn-cam, .text .btn-d{
  padding: 8px 18px;
  border: 1px solid #fff;
  border-radius: 4px;
}
*/
/*  END COVER IMG ROUND */


.detailBlock .avatar-round{
  width: 200px;
  height: 200px;
  border-radius: 50%;
}
.a5-nav-bar .avatar a{
  padding-left: 10px;
}
.a5-nav-bar .avatar-round {
  width: 45px;
  height: 45px;
	border-radius: 45px;
	border: 5px solid #fff;
}
.footerDetail .block-prices{
  margin: 0px 0px;
  padding: 15px 15px;
}
.footerDetail{
  width: 100%;
  position: fixed;
  bottom: 0;
  background: #fff;
  text-align: center;
  z-index: 10;
}
.block-prices{
  margin: 0px;
  margin-top: 3px;
  padding-top: 20px;
}
.a5-btn {
    display: inline-block;
    height: 40px;
    border: 0 none;
    font-size: 16px;
    padding-left: 40px;
    padding-right: 40px;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    font-weight: 700;
    background-image: none;
    cursor: pointer;
    -webkit-appearance: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.a5-btn.light{
  border: 1px solid #324079;
  background-color:inherit;
  color: #324079;
}

.block-prices{
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.price{
  font-size: 26px;
  font-weight: 400;
  color:#202e3c;
}
.price-old{
  font-size: 22px;
  font-weight: 200;
  color:#202e3c;
  text-decoration: line-through;
  margin-left: 1rem;
}
.detailContent{
/*  padding-left: 15px; */
}

.detailContent .t-descr{
  font-weight: 400;
}

.detailBlockVideo{
  padding-bottom: 15px;
}

.VideoPlayer{
  width:  100%;
  position: relative;
}


.VideoPlayer .vjs-control-bar{
  /*display: block!important;*/
}
.VideoPlayer .vjs-big-play-button{
  /*display: none!important;*/
}


@media (max-width: 930px){
  .VideoPlayer{
    width:  100%;
  }
}
.coverVideoDefoult{
  /*background: #e3e5e6bf;*/
  /*border: 3px solid #7a7c7db5;*/
  width:  100%;
/*  max-width: 854px; */
/*  height: 480px; */
  height: 60vh;
  vertical-align: middle;
}
@media (max-width: 930px){
  .coverVideoDefoult{
    width:  100%;
  }
}


.coverVideoDefoult .progressUpload{
  margin-top: 20px;
  width: 40%;
}
.coverVideoDefoult{
  padding: 15px;
  /*background-color: #424242;*/
  background-color:#000000;
  border: #ffffff solid 0.05rem;
  color: #fff;
  font-weight: 600;
}
.drag-n-drop-hover-sendFile{
	border: 4px dashed #ffffff5e;
	border-radius: 8px;
	/*background-image: url("data:image/svg+xml;utf8,<svg width='100%' height='100%' xmlns='http://www.w3.org/2000/svg'><rect width='100%' height='100%' style='fill: none; stroke: red; stroke-width: 4; stroke-dasharray: 20 40'/></svg>");*/
}

  
}
.progress .bg-blue {
  background-color: #016ef3!important;
}
.fileNameUpload{
  font-weight: 600;
  color: #202e3c; 
}
.MultiFile-label{
  font-weight: 600;
  color: #202e3cbf;
  font-size: 16px;
}
.MultiFile-remove-saved{
  cursor: pointer;
}
.MultiFile-label a{
  color: #202e3cbf!important;
}
.modal .MultiFile-label{
  font-size: 14px;
}
.detailBlock{
  padding-bottom: 40px;
  border-top: .01rem solid #dcdcdc;
  padding-top: 15px;
  font-size: 20px;
  margin-bottom: 0;
}
.detailBlockTitle p{
  padding-bottom: 0;
  margin-bottom: 0;
}
.attachmentsLabel{
  font-weight: 300;
  font-size: 18px;
  color: #202e3cc7;
}
.detailBlock p{
  font-weight: 400;
}


.detailBlock .t-descr_xs{
  font-size: 20px;
}

.hoverVisebleEditBlock{
  border-top: 2px solid #202e3c;  /* dashed */
  border-bottom: 2px solid #202e3c;
}
.detailBlockContent .itemAction {
  color: #202e3c9e;
}
.editParagraph .actionsEditParagraph{
  margin-right: -25px;
  margin-top: -45px;
}

.actionsEdit {
  margin-top: 0px;
  display: none;
}

.blockProductCover .actionsEdit {
  font-size: 26px;
  margin-top: 5px;
}
.blockProductCover .itemAction{
  color: #0a0d10;
}

.visebleEditBlock .actionsEdit {
  font-size: 26px;
}
.actionsEdit .itemAction{
  padding-right: 10px;
}
.itemAction i{
  cursor: pointer;
}
.hoverVisebleEditBlock .actionsEdit{
  display: block;
}
.template{
  display: none;
}
.blockAutor{
 padding-top: 20px;  
 border-top: 0px solid #dcdcdc;
}

.detailBlockTitle{
  padding-top: 20px;
  font-size: 32px;
}

.detailBlockContent.Autor p{
  margin-bottom: 3px;
}

.detailBlockContent.Description, .detailBlockContent.ForWhom, .detailBlockContent.Autor{
  font-size: 20px;
}

.dateProductContent{
  margin: 40px 0px;
}

.Autor .nameAutor{
  font-size: 24px;
  font-weight: 600;
  color: #202e3c;
}
.Autor .titleAutor{
  font-weight: 400;
  color: #202e3c;
}
.Autor .descriptionAutor{
  font-size: 18px;
}

.detailBlockContent.Skills i{
  margin-bottom: -5px;
  margin-right: 5px;
  font-size: 22px;
  font-weight: 600;
}

.detailTitle i{
  font-size: 24px;
}
.editPencil{
  margin-left: 25px;
  cursor: pointer;
  color: #202e3ca1;
}



/* Tooltip */
.bs-tooltip-top .arrow::before, .bs-tooltip-auto[x-placement^="top"] .arrow::before {
    border-top-color: #202e3c; /* цвет стрелочки (по умолчанию #000)*/
}
.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^="right"] .arrow::before {
    border-right-color: #202e3c; /* цвет стрелочки (по умолчанию #000)*/
}
.bs-tooltip-bottom .arrow::before, .bs-tooltip-auto[x-placement^="bottom"] .arrow::before {
    border-bottom-color: #202e3c; /* цвет стрелочки (по умолчанию #000) */
}
.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^="left"] .arrow::before {
    border-left-color: #202e3c; /* цвет стрелочки (по умолчанию #000) */
}
.tooltip-inner {
  /*  max-width: 250px; *//* максимальная ширина подсказки (по умолчанию 200px) */
    color: #fff; /* цвет шрифта */
    background-color: #202e3c; /* цвет фона (по умолчанию #000) */
  /*  border-radius: 0.25rem; *//* радиус скругдения углов */
}
.tooltip{
    z-index:980;
}
/* topMenu  */
.topMenu .t-btn{
  font-weight: 600;
  color: #202e3c;
}
.topMenu .t-btn i{
  font-size: 22px;/*26*/
}

.t228 .t-btn {
    height: 40px;
    font-size: 14px;
    padding-left: 20px;
    padding-right: 20px;
    margin-left: 0px;
}

.a5-nav-bar a:hover{
  color:#007bff;
}

/* End topMenu  */
/* Footer  */
.footer {
    padding: 5px 0 ;
    /*height: 30px;*/
    text-align: center;
    background-color: #fff;
    color: #202e3cdb;
    font-size: 14px;
    z-index:1;
}
.footer .container{
  padding-top:0px;
}
/* End Footer   */

/* List Lesson  */
.ModuleHeaderTitle  a {
  color: #202e3c!important;
}
.ModuleHeaderTitle  a:hover {
  color: #202e3ca6!important;
}

.ListLesson .t403__separator {
  padding-top: 45%;
}
.ItemLesson{
  padding: 40px 40px;
  background-color: #fff;
  border-radius: 15px;
  margin-bottom: 20px;
}

.ItemLesson .t-title{
  font-size: 30px;
  color: #202e3cdd
}
.ItemLesson .t-descr{
  font-weight: 400;
  color: #202e3c;
}

/* End List Lesson */

/* Detail Lesson */
.detailSubTitle{
  font-size: 20px;
}
.LessonDetailContent .detailSubTitle{
  margin-top: -0.4rem;
}
.LessonDetailContent  a, .LessonEditContent  a {
  color: #202e3ccc!important;
}
.LessonDetailContent a:hover, .LessonEditContent a:hover {
  color: #202e3ca6!important;
}
.detailBlockVideo{
  /*padding-top: 30px;*/
  margin-top: -1.21rem;
  text-align: center;
  position: relative;
}
.detail-block-video-info{
  position:absolute;
  display: flex;
  flex-direction: column;
  align-content: center;
  align-items: center;
  justify-content: center;
  width: fit-content;
  background-color: #0065cfd1;
  bottom: 7rem;
  right: 0rem;
  color: #ffffff;
  padding: 0.2rem 1rem;
  border-bottom-left-radius: 0.5rem;
  border-top-left-radius: 0.5rem;
  font-weight: 600;
}
.ListLesson .detail-block-video-info{
  bottom: 1rem;
  right: -0.2rem;
}

.ListProductItem .detail-block-video-info{
  bottom: 1rem;
  min-height: 4rem;
  min-width: 10rem;
  padding-left: 2rem;
  border-bottom-left-radius: 0.8rem;
  border-top-left-radius: 0.8rem;
  right: -0.3rem;
}

.DetailContentProduct .detail-block-video-info{
  bottom: unset;
  top: 1rem;
  right: 2.3rem;
  border-radius: 0.5rem;
}

/*For Customers*/
.ListProductItem .detail-block-video-info.for-customers{
  bottom: 8.2rem;
  min-width: 10rem;
  font-size: 1.4rem;
  backdrop-filter: blur(0.2rem);
}

.lesson-publish.for-customers {
  background-color: #000000a3;
  color: #ffffff;
  backdrop-filter: blur(0.2rem);
}

/*For Customers*/

.lesson-no-publish{
  background-color:#cf0000d1;
  color: #ffffff;
}
.lesson-publish{
  background-color:#0056afb3;
  color: #ffffff;
}
.detail-block-video-info-item{
  display: flex;
  align-self: end;
}

.LessonDetailContent .detailBlockVideo .video-js .vjs-big-play-button{
  top: 45%;
  left: 45%;
}
.video-js .vjs-big-play-button{
  background-color:#202e3cde;
  border-radius: 0.5em;
}
.video-js .vjs-big-play-button:hover{
  background-color:#202e3cde;
}
.LessonDetailContent .detailBlockTitle, .LessonEditContent .detailBlockTitle {
  padding-top: 10px;
}
.LessonDetailContent .buttonSendHomeWork, .LessonEditContent .buttonSendHomeWork{
  padding-top: 20px;
}
.actionsEditButtonSendHomeWork {
  margin-top: -40px;
  margin-left: 260px;
  color:#202e3c9e;
}
/* List Products */
.listContent .t-descr{
  min-height: 120px;
}
.emptyListProducts{
  height: calc(100vh - 380px);
  text-align: center;
  padding-top: 100px;
  font-size: 20px;
}

.emptyListProducts a{
  font-size: 20px;
}
/* END List Products */


/* End Detail Lesson */

/* Edit  */
.topBarEditorMenu{
  /*background-color: #202e3c99;*/
  background-color: #03070bd1;
  top: 50px;
  height: 60px;
  vertical-align: middle!important;
  backdrop-filter: blur(10px);
  z-index: 10;
}

.topBarEditorMenu .t-btn{
  color: #dcdcdc!important;
  height: 35px;
  font-size: 16px;
  padding-left: 20px;
  padding-right: 20px;
  margin-left: 0px;
}
.topBarEditorMenu .t228__right_buttons_but a{
  margin-right: 20px; 
  border: 2px solid #dcdcdc;
  border-radius: 9px;
}
.detailEditContent{
  padding-top: 60px;
}

/* End Edit  */

/* Modal */

/* Close Modal Кнопка */
.closeModalBootomHover{
	padding: 0.3rem;	
	border-radius: 1.2rem;
}
.closeModalBootomHover:hover{
	opacity: 1;
	background-color: #1e477111;
	border-radius: 1.2rem;
}

.closeModalBootom {
  width: 32px;
  height: 32px;
  opacity: 1;
}
.closeModalBootom:hover {
  opacity: 1;
}
.closeModalBootom:before, .closeModalBootom:after , #overlayPage .closeModalBootom:before, #overlayPage .closeModalBootom:after{
  position: absolute;
  content: ' ';
  height: 18px;
  width: 2px;
  background-color: #21252A; /*#1e4771;*/
  margin-left: 0.9em;
  margin-top: 0.5rem;
}
.closeModalBootom:before {
  transform: rotate(45deg);
}
.closeModalBootom:after {
  transform: rotate(-45deg);
}
/* For Dark Header */
.darkHederModal .closeModalBootomHover:hover{
   background-color: #b9c5d27a;
}
.darkHederModal .closeModalBootom:before, .darkHederModal .closeModalBootom:after {
	background-color: #fff;
}
.overlayHeader .closeModalBootom:before, .overlayHeader .closeModalBootom:after {
	background-color: #1e4771;
}
.modalActions a{
  text-decoration: none;
}
/* END Modal Кнопка */
.modal-header-title{
  font-size: 20px;
  font-weight: 600;
  margin-top: 6px;
  padding-left: 1.4rem;
}

@media screen and (min-width: 991px) {  
  .ModalSelectTarif.modal-dialog{
    min-width: 991px!important;
  }
}

@media screen and (min-width: 768px) {  
  .ModalSendHomeWork.modal-dialog{
    min-width: 768px;
  }
  .ModalSelectTarif.modal-dialog{
    min-width: 95%;
  }
  .modal-dialog:not(.ModalConfirm):not(.ModalAlert) {
    min-width: 768px;
  }
}
@media screen and (min-width: 480px) { 
  .ModalSendHomeWork.modal-dialog{
    min-width: 480px;
  }
  .ModalSelectTarif.modal-dialog{
    min-width: 98%;
  }
  .modal-dialog{
    min-width: 480px;
  }  
}


.modal-header{
  padding: 0.6rem;
}
.modal-body{
 background: #f5f8fa;
 min-height: 200px;
}

.modal-footer a{
  color:#212529!important;
  text-align: center;
}
.modal-footer {
  padding: 1.2rem;
}
.modal-footer .modalActions{
  text-align: center;
  font-weight: 600;
}
.a5-btn-success{
  padding: 8px 18px;
  border: 2px solid #5a5d61cc;
  color: #5a5d61cc;
  border-radius: .5rem;
}
.a5-btn-cancel{
  padding: 8px 18px;
  color: #5a5d61cc;
  border-radius: 6px;
}
.a5-btn-defoult-liht {
    padding: 8px 18px;
    border: 2px solid #5a5d61cc;
    color: #5a5d61cc;
    border-radius: 6px;
}
.Modal-Download-Avatar .modal-body, .Modal-Cam-Avatar .modal-body, .Modal-Cam-Stream .modal-body, .Modal-Download-Сover .modal-body{
  padding-top: 40px;
  text-align: center;
}
.Modal-Cam-Stream .modal-body{
  vertical-align: middle;
  min-height: 460px;
}
.buttonUpload{
  font-weight: 600;
}
.Modal-Download-Сover .modal-dialog{
  max-width: fit-content;
}

.myModal2{
  z-index: 5000;
}
.myModal3{
  z-index: 6000;
}

.ModalConfirm .modal-message, .ModalAlert .modal-message,  .ModalPromt .modal-message{
  font-weight: 600;
  color: #131c25;
  padding: 0px 20px;
}
.ModalConfirm .modal-message{
  border-left: 6px solid #cc5a5acc;
}
.ModalAlert .modal-message{
   border-left: 6px solid #5f729ecc;
}
.ModalAlert.error .modal-message{
   border-left: 6px solid #cc5a5acc;
}
.ModalConfirm .modal-body, .ModalAlert .modal-body,  .ModalPromt .modal-body{  
 background: #f5f8fa;
 min-height: auto;
 padding: 40px 50px 40px 90px;
}
.alert-dark {
  color: #1b1e21;
  background-color: #e9f4fb;
  border-color: #c6c8ca;
}

.form-control[readonly] {
  background-color: #ffffff;
}


.password {
	position: relative;
}
.password-control {
	position: absolute;
	top: 11px;
	right: 6px;
	display: inline-block;
	width: 20px;
	height: 20px;
	background: url(view.svg) 0 0 no-repeat;
}
.password-control.view {
	background: url(no-view.svg) 0 0 no-repeat;
}


.ModalSelectTarif .card{
    box-shadow: none;
    margin: 0 0 25px 0;
    -webkit-box-shadow: 0px 5px 60px -10px rgb(0 0 0 / 20%);
    box-shadow: 0px 5px 60px -10px rgb(0 0 0 / 20%);
    background-color: transparent;
    position: relative;
    width: 100%;
    min-height: 210px;
    display: flex;
    flex-direction: column;
    /*justify-content: flex-end;*/
    border-radius: 15px;
    cursor: pointer;
    overflow: hidden;
    background: #fff;
    -webkit-transition-duration: 0.3s;
    -moz-transition-duration: 0.3s;
    -o-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-property: -webkit-transform;
    -moz-transition-property: -moz-transform;
    -o-transition-property: -o-transform;
    transition-property: transform;
}
.card-infos {
    z-index: 2;
    padding: 20% 20px 20px 20px;
    /*background-image: linear-gradient(to bottom,rgba(0,0,0,0) 0, rgba(0,0,0,0.8) 100%, rgba(0,0,0,0.9) 100%);*/
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}
@media (min-width: 768px){
  .ModalSelectTarif .card {
    min-height: 310px;
  } 
}
@media (max-width: 768px){
  .card-infos {
      padding: 10% 20px 20px 20px;
  } 
}
.ModalSelectTarif .card:hover {
  transform: scale(1.03);
}
.ModalSelectTarif .card.noViewActive:hover {
  transform: scale(1);
}
.ModalSelectTarif .card.noViewActive{
  cursor: auto;
  background: #0000000f;
}

.titleCard{
  font-size: 24px;
  font-weight: 600;
  color: #202e3c;
}
.priceTarif{
  font-size: 29px;
  color: #2b364eed;
}
.descriptionTarif div{
  padding-top: 10px;
  font-size: 16px;
  color: #3d424eff;
}

.modal-content {
  border-radius: 0.6rem;
}


/* END Modal */

/* Daterangepicker Календарь и часы всплывающие*/
.ui-timepicker-selected, .ui-timepicker-selected:hover {
 background: #1e4771f5!important;
 color: #fff!important;
}
.ui-timepicker-list>li:hover{
	background: #1e4771f5!important;
	color: #fff!important;
}

.daterangepicker td.active, .daterangepicker td.active:hover {
	background-color: #1e4771f5!important;
}
/* END Daterangepicker Календарь и часы всплывающие*/

/* Field */
.fieldLabel{
  color: #202e3ccf;
}
.fieldValue{
  color: #010d1b;
}

.EditForm .row{
  padding-top: 15px;
}



/* Part 2 */
.detailBlock:not(.blockAutor, .detailBlockUser) {
  padding-left: 20px;
  padding-right: 20px;  
}
.detailBlock:not(.blockAutor, .detailBlockUser)  p, .detailBlock:not(.blockAutor, .detailBlockUser) .detailBlockTitle{
  width: fit-content;
  padding-left: 5px;
  padding-right: 5px;  
}



/* TopBarDetail */
.a5-top-bar-detail{
  width: 100%;
  height: 36px;
  z-index: 10;
  position: fixed;
  top: 50px;
  /*background-color: #202e3c99;*/
  background-color: #03070bd1;
  backdrop-filter: blur(10px);
}
.a5-top-bar-detail-container{
  margin-left: 20px;
  margin-right: 20px;
  height: 36px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: #fff;
}
.a5-top-bar-detail-part-left{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.a5-top-bar-detail-part-center{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.a5-top-bar-detail-part-right{
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.a5-button-top-bar-detail{
  margin: 0 .3rem;
  padding: 0.2rem .7rem;
  font-size: .9rem;
  font-weight: 600;
  border-radius: .3rem;
}
.a5-button-top-bar-detail:not(.no-active){
  cursor: pointer;
}
.a5-button-top-bar-detail.no-active{
  color:#c6c6c6d4;
}
.a5-button-top-bar-detail:not(.no-active):hover{
  background-color: #d9d9d926;
}



.dropdown-menu{
  background-color: #fffffff7;
  backdrop-filter: blur(100px);
  box-shadow: rgba(15, 15, 15, 0.05) 0px 0px 0px 1px, rgba(15, 15, 15, 0.1) 0px 3px 6px, rgba(15, 15, 15, 0.2) 0px 9px 24px;
  border-radius: .4rem;
  min-width: 12rem;
}
.dropdown-item{
  padding: 0rem 0.5rem;
}
.dropdown-item:active{
  background: #00000000;
  color:inherit;
}
.dropdown-item:hover{
  background: #00000000;
  color:inherit;
}
.a5-dropdown-item-item{
  font-size: .9rem;
  cursor: pointer;
  padding: 0.25rem 1rem;
  border-radius: 0.4rem;
  font-weight: 500;
  color: #555657;
}
.a5-dropdown-item-item:active{
  background: #00000030;
  color:inherit;
}
.a5-dropdown-item-item:hover{
  background: #0000000f;
  color:inherit;
}
.a5-top-bar-detail-part-left{
  margin-left: -0.9rem;
}







/* Мой адаптивный стиль */

.editElemet{
  padding: 0.1rem 0.1rem!important;
}
.for-card-actions-actions{
  color: var(--a5-color-for-card-actions); 
  display:flex;
  align-items: center; 
  font-weight:500;
} 
.lesson-wrapper-info-actions.for-card-actions-actions{
  position: absolute;
  bottom: 0.3rem;
}
.detailContent {
  min-height: 100vh;
}

.block_responsive {
    display: flex;
    /*По умолчанию flex не переносит элементы, нужен flex-wrap*/
    flex-wrap: wrap;
}

.block_responsive_element {
    /*Так как у нас 3 элемента - ширина каждого будет (100% / 3 ~ 33.(3)%)*/
    /*width: calc(100% / 3);*/
    /* если 2 */
    width: calc(100% / 2);
}
.coverListProdut img{
  width: 100%;
}

.ListProductItem .ProductTitle p {
  width: 100%;
  /*
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  */
  display: -webkit-box;
  -webkit-line-clamp: 1; /* количество строк */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.ListProductItem .ProductDescription {
  width: 100%;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* количество строк */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
} 

.detailBlockContent p, .ProductDescription p{
  margin-bottom:0;
}
.detailBlockContent  .Paragraphs, .ProductDescription .Paragraphs{
  margin-bottom:1rem;
}
.ProductDescription {
 line-height: 1.6;
}
.ListProductItem .ButtonPay{
  margin-left:0px!important;
}


.ListLesson .lesson-wrapper {
  position: relative;
  background-color: #fff;
  padding: 1rem 1rem!important;
  margin: 0 20px!important;
  margin-bottom: 1.4rem!important;
  border-radius: 0.5rem!important;
  
}

.ListLesson .lesson-wrapper .lesson-wrapper-cover{
  height:8rem;
  width:14rem;
  background-color: #424242;
  border: #202e3c solid 0.05rem;
  overflow: hidden;
  border-radius: .5rem;
  color: #fff;
  font-weight: 600;
  display:flex;
  align-items: center;
  justify-content: center;
}
.ListLesson .lesson-wrapper-info {
  padding: .3rem 2rem;
  position: relative;
}

.ListLesson .lesson-wrapper-cover{
  position: relative;
  width: 20%;
}
.ListLesson .lesson-wrapper-cover .lesson-wrapper-cover-duration{
  position: absolute;
  bottom: 0.3rem;
  right: 0.4rem;
  background-color: #000000bd;
  color: #fff;
  font-size: .7rem;
  font-weight: 600;
  padding: 0 0.3rem;
  border-radius: 0.3rem;
}
.ListLesson .lesson-wrapper-info{
  width: 80%;
}

.ListLesson .lesson-wrapper-info .t-title_xxs {
    font-size: 24px;
    line-height: 1.23;
}
.ListLesson .lesson-wrapper-info .lesson-wrapper-info-title p{
  margin-bottom: 0rem;
}
.ListLesson .lesson-wrapper-info .lesson-wrapper-info-title {
  width: 100%;
  /*
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  */
  display: -webkit-box;
  -webkit-line-clamp: 1; /* количество строк */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ListLesson .lesson-wrapper-info .lesson-wrapper-info-description {
  margin-top: .3rem;
  width: 100%;
  display: -webkit-box;
  -webkit-line-clamp: 2; /* количество строк */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
} 


.video-js {
  width: inherit;
  /*background-color: unset;*/
  border: solid 0.05rem #000000cf;
}

.no-date-publish{

}
.no-date-publish-cover{
  top: 0;
  right: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #cccccc8a;
  border-radius: 0.5rem!important;
  backdrop-filter: blur(0.09rem);
}

.blur-modal-background{
  background-color: #d5d5d569;
  backdrop-filter: blur(3px);
}




@media screen and (max-width: 992px) {
    /*Переопределяем ширину на 100%, flex сам сбросит их в один столбик*/
    .block_responsive_element {
      /*  width: 100%; */
    }
}

@media screen and (max-width: 640px) {
    /*Переопределяем ширину на 100%, flex сам сбросит их в один столбик*/
    .block_responsive_element {
        width: 100%;
    }
    
    .ListProductItem .ProductTitle p {
      -webkit-line-clamp: 2; /* количество строк */
    }
    .detailBlock:not(.blockAutor, .detailBlockUser) {
        padding-left: 0px;
        padding-right: 0px;
    }
    
    .ListLesson .lesson-wrapper-info .t-title_xxs {
        font-size: 22px;
        line-height: 1.23;
    }
    .VideoPlayer{

    }
}

/* End Мой адаптивный стиль */















/* ALL LOADERS */
.loading{
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
}

.loading_background {
  background-color: #c7c7c736; /* Чёрный фон */
  background: rgba(0, 0, 0, .8);
  height: 100%; /* Высота максимальна */
  left: 0; /* Нулевой отступ слева */
  opacity: 0.7; /* Степень прозрачности */
  position: fixed; /* Фиксированное положение */
  top: 0; /* Нулевой отступ сверху */
  width: 100%; /* Ширина максимальна */
  z-index: 2000; /* Заведомо быть НАД другими элементами */
}


.loader{
  top: 50%;
  width: 150px;
  height: 150px;
  border-radius: 100%;
  position: relative;
  margin: 0 auto;
}

/* LOADER 1 */

#loader-1:before, #loader-1:after{
  content: "";
  position: absolute;
  top: -100px;
  left: -10px;
  width: 100%;
  height: 100%;
  border-radius: 100%;
  border: 10px solid transparent;
  border-top-color: #03081d;  /* #3498db*/
}

#loader-1:before{
  z-index: 100;
  animation: spin 1s infinite;
}

#loader-1:after{
  border: 10px solid #ccc;  /* #ccc  */
}

@keyframes spin{
  0%{
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }

  100%{
    -webkit-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* LOADER 2 */

#loader-2 span{
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: #3498db;
  margin: 35px 5px;
}

#loader-2 span:nth-child(1){
  animation: bounce 1s ease-in-out infinite;
}

#loader-2 span:nth-child(2){
  animation: bounce 1s ease-in-out 0.33s infinite;
}

#loader-2 span:nth-child(3){
  animation: bounce 1s ease-in-out 0.66s infinite;
}

@keyframes bounce{
  0%, 75%, 100%{
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    -o-transform: translateY(0);
    transform: translateY(0);
  }

  25%{
    -webkit-transform: translateY(-20px);
    -ms-transform: translateY(-20px);
    -o-transform: translateY(-20px);
    transform: translateY(-20px);
  }
}

/* LOADER 3 */

#loader-3:before, #loader-3:after{
  content: "";
  width: 20px;
  height: 20px;
  position: absolute;
  top: 0;
  left: calc(50% - 10px);
  background-color: #3498db;
  animation: squaremove 1s ease-in-out infinite;
}

#loader-3:after{
  bottom: 0;
  animation-delay: 0.5s;
}

@keyframes squaremove{
  0%, 100%{
    -webkit-transform: translate(0,0) rotate(0);
    -ms-transform: translate(0,0) rotate(0);
    -o-transform: translate(0,0) rotate(0);
    transform: translate(0,0) rotate(0);
  }

  25%{
    -webkit-transform: translate(40px,40px) rotate(45deg);
    -ms-transform: translate(40px,40px) rotate(45deg);
    -o-transform: translate(40px,40px) rotate(45deg);
    transform: translate(40px,40px) rotate(45deg);
  }

  50%{
    -webkit-transform: translate(0px,80px) rotate(0deg);
    -ms-transform: translate(0px,80px) rotate(0deg);
    -o-transform: translate(0px,80px) rotate(0deg);
    transform: translate(0px,80px) rotate(0deg);
  }

  75%{
    -webkit-transform: translate(-40px,40px) rotate(45deg);
    -ms-transform: translate(-40px,40px) rotate(45deg);
    -o-transform: translate(-40px,40px) rotate(45deg);
    transform: translate(-40px,40px) rotate(45deg);
  }
}

/* LOADER 4 */

#loader-4 span{
  display: inline-block;
  width: 20px;
  height: 20px;
  border-radius: 100%;
  background-color: #3498db;
  margin: 35px 5px;
  opacity: 0;
}

#loader-4 span:nth-child(1){
  animation: opacitychange 1s ease-in-out infinite;
}

#loader-4 span:nth-child(2){
  animation: opacitychange 1s ease-in-out 0.33s infinite;
}

#loader-4 span:nth-child(3){
  animation: opacitychange 1s ease-in-out 0.66s infinite;
}

@keyframes opacitychange{
  0%, 100%{
    opacity: 0;
  }

  60%{
    opacity: 1;
  }
}

/* LOADER 5 */

#loader-5 span{
  display: block;
  position: absolute;
  left: calc(50% - 20px);
  top: calc(50% - 20px);
  width: 20px;
  height: 20px;
  background-color: #3498db;
}

#loader-5 span:nth-child(2){
  animation: moveanimation1 1s ease-in-out infinite;
}

#loader-5 span:nth-child(3){
  animation: moveanimation2 1s ease-in-out infinite;
}

#loader-5 span:nth-child(4){
  animation: moveanimation3 1s ease-in-out infinite;
}

@keyframes moveanimation1{
  0%, 100%{
    -webkit-transform: translateX(0px);
    -ms-transform: translateX(0px);
    -o-transform: translateX(0px);
    transform: translateX(0px);
  }

  75%{
    -webkit-transform: translateX(30px);
    -ms-transform: translateX(30px);
    -o-transform: translateX(30px);
    transform: translateX(30px);
  }
}

@keyframes moveanimation2{
  0%, 100%{
    -webkit-transform: translateY(0px);
    -ms-transform: translateY(0px);
    -o-transform: translateY(0px);
    transform: translateY(0px);
  }

  75%{
    -webkit-transform: translateY(30px);
    -ms-transform: translateY(30px);
    -o-transform: translateY(30px);
    transform: translateY(30px);
  }
}

@keyframes moveanimation3{
  0%, 100%{
    -webkit-transform: translate(0px, 0px);
    -ms-transform: translate(0px, 0px);
    -o-transform: translate(0px, 0px);
    transform: translate(0px, 0px);
  }

  75%{
    -webkit-transform: translate(30px, 30px);
    -ms-transform: translate(30px, 30px);
    -o-transform: translate(30px, 30px);
    transform: translate(30px, 30px);
  }
}

/* LOADER 6 */

#loader-6{
  top: 40px;
  left: -2.5px;
}

#loader-6 span{
  display: inline-block;
  width: 5px;
  height: 20px;
  background-color: #3498db;
}

#loader-6 span:nth-child(1){
  animation: grow 1s ease-in-out infinite;
}

#loader-6 span:nth-child(2){
  animation: grow 1s ease-in-out 0.15s infinite;
}

#loader-6 span:nth-child(3){
  animation: grow 1s ease-in-out 0.30s infinite;
}

#loader-6 span:nth-child(4){
  animation: grow 1s ease-in-out 0.45s infinite;
}

@keyframes grow{
  0%, 100%{
    -webkit-transform: scaleY(1);
    -ms-transform: scaleY(1);
    -o-transform: scaleY(1);
    transform: scaleY(1);
  }

  50%{
    -webkit-transform: scaleY(1.8);
    -ms-transform: scaleY(1.8);
    -o-transform: scaleY(1.8);
    transform: scaleY(1.8);
  }
}

/* LOADER 7 */

#loader-7{
  -webkit-perspective: 120px;
  -moz-perspective: 120px;
  -ms-perspective: 120px;
  perspective: 120px;
}

#loader-7:before{
  content: "";
  position: absolute;
  left: 25px;
  top: 25px;
  width: 50px;
  height: 50px;
  background-color: #3498db;
  animation: flip 1s infinite;
}

@keyframes flip {
  0% {
    transform: rotate(0);
  }

  50% {
    transform: rotateY(180deg);
  }

  100% {
    transform: rotateY(180deg)  rotateX(180deg);
  }
}

/* LOADER 8 */

#loader-8:before{
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  top: calc(50% - 10px);
  left: 0px;
  background-color: #3498db;
  animation: rotatemove 1s infinite;
}

@keyframes rotatemove{
  0%{
    -webkit-transform: scale(1) translateX(0px);
    -ms-transform: scale(1) translateX(0px);
    -o-transform: scale(1) translateX(0px);
    transform: scale(1) translateX(0px);
  }

  100%{
    -webkit-transform: scale(2) translateX(45px);
    -ms-transform: scale(2) translateX(45px);
    -o-transform: scale(2) translateX(45px);
    transform: scale(2) translateX(45px);
  }
}
/* END ALL LOADERS */
